View Issue Details

IDProjectCategoryView StatusLast Update
0000364MantisDroidLoginpublic2012-11-20 09:06
Reportere7andy Assigned Toe7andy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target Version1.2Fixed in Version1.2 
Summary0000364: Add support for Http Basic Authentication
DescriptionAdd support for Http Basic Authentication

http://code.google.com/p/ksoap2-android/wiki/CodingTipsAndTricks#Using_Basic_Authentication
http://stackoverflow.com/questions/5177939/basic-http-authentication-using-ksoap-for-android
TagsNo tags attached.

Activities

e7andy

2012-11-17 16:55

administrator   ~0000063

Integrated in MantisDroidLibrary:40 ( See http://e7andy.no-ip.com:8091/job/MantisDroidLibrary/40/ ).

Revision/Changeset: 538
Author: anders
Log:
ISSUE 0000364 - Http Basic Authentication.
ISSUE 0000398 - Improved error handling.
ISSUE 0000394 - Add timeout for authorization.
Simplified handling of login credentials.
Removed unused code.
Changed paths:
M /MantisDroidLibrary/res/layout/login.xml
M /MantisDroidLibrary/res/values/strings.xml
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ActivityUtils.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/IssueListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/LoginActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroid.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/MantisDroidActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectDetailsActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectEditActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/ProjectListActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/UrlLoginActivity.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/UserPreferences.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/service/MantisBT.java
M /MantisDroidLibrary/src/se/nextsource/android/mantisdroid/webservice/MantisBTService.java

Issue History

Date Modified Username Field Change
2012-09-28 07:51 e7andy New Issue
2012-09-28 07:51 e7andy Status new => acknowledged
2012-09-28 07:56 e7andy Status acknowledged => confirmed
2012-11-08 07:19 e7andy Category Task => Login
2012-11-14 16:22 e7andy Assigned To => e7andy
2012-11-14 16:22 e7andy Status confirmed => assigned
2012-11-14 16:25 e7andy Target Version backlog => 1.2
2012-11-14 16:25 e7andy Description Updated View Revisions
2012-11-17 14:09 e7andy Status assigned => resolved
2012-11-17 14:09 e7andy Fixed in Version => 1.2
2012-11-17 14:09 e7andy Resolution open => fixed
2012-11-17 16:55 e7andy Note Added: 0000063
2012-11-20 09:06 e7andy Status resolved => closed